<div class="input-group {{if (or this.hasInvalidSubdomain this.hasInvalidDomain) 'is-invalid'}}" {{did-insert this.setup}} ...attributes>
  <Input @value={{this.value}} id={{@id}} @type="text" class="form-control input-space-subdomain {{if this.hasInvalidSubdomain 'is-invalid'}}" />

  {{#if this.hasDomainList}}
    <span class="input-group-text">.</span>
    <Input::Select @list={{this.domainList}} @value={{this.selectedDomain}} @onChange={{this.domainChanged}} class="select-domain" />
  {{else}}
    {{#if this.hasInvalidDomain}}
      <span class="input-group-text input-group-domain text-danger">.{{this.valueDomain}}</span>
    {{else}}
      <span class="input-group-text input-group-domain">.{{this.domain}}</span>
    {{/if}}
  {{/if}}
</div>
{{#if this.hasInvalidDomain}}
  <div class="invalid-feedback">
    {{t "domain-name-update-message" from=this.valueDomain to=this.domain}}
  </div>
{{/if}}
{{#if this.hasInvalidSubdomain}}
  <div class="invalid-feedback">
    {{t "domain-name-invalid-chars"}}
  </div>
{{/if}}